%define rel 1

Name:          lxqt-powermanagement
Version:       2.2.0
Release:       %mkrel %rel
Summary:       Power management module for LXQt
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-powermanagement/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(lxqt)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6Help)
BuildRequires: pkgconfig(xcb)

BuildRequires: cmake(KF6Solid)
BuildRequires: cmake(lxqt-globalkeys-ui)

BuildRequires: cmake(KF6IdleTime)

#upower binary is required to prevent "power management disabled" popup on login
Requires:      upower

%description
Power management module for LXQt.

%prep
%autosetup -p1

%build
%cmake_qt6 -DBUILD_DOCUMENTATION=ON
%cmake_build

%install
%cmake_install


%files
%{_sysconfdir}/xdg/autostart/lxqt-powermanagement.desktop
%{_bindir}/lxqt-config-powermanagement
%{_bindir}/%{name}
%{_datadir}/applications/lxqt-config-powermanagement.desktop
%{_iconsdir}/*/*/*/laptop-lid.svg
%{_datadir}/lxqt/translations/lxqt-config-powermanagement/
%{_datadir}/lxqt/translations/lxqt-powermanagement/


%changelog
* Tue Apr 22 2025 papoteur <papoteur> 2.2.0-1.mga10
+ Revision: 2178287
- new version 2.2.0

* Tue Nov 05 2024 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2112540
- New version 2.1.0

* Fri Apr 19 2024 papoteur <papoteur> 2.0.0-1.mga10
+ Revision: 2059252
- new version 2.0.0
- switch to Qt6

* Mon Nov 06 2023 papoteur <papoteur> 1.4.0-1.mga10
+ Revision: 2004865
- new 1.4.0

* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga10
+ Revision: 1953320
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.0-2.mga9
+ Revision: 1938941
- rebuild for compilation with C++17 standard

* Mon Nov 07 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904340
- new version 1.2.0

* Mon Apr 25 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1853312
- Release 1.1.0

* Wed Apr 06 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1845578
- Mageia 9 Mass Rebuild

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761797
- New version 1.0.0

* Mon Apr 26 2021 daviddavid <daviddavid> 0.17.1-1.mga9
+ Revision: 1719844
- New version 0.17.1

* Fri Apr 16 2021 daviddavid <daviddavid> 0.17.0-1.mga9
+ Revision: 1716052
- New version 0.17.0

* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1658998
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643310
- New version 0.16.0
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571813
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-3.mga8
+ Revision: 1524811
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383296
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380836
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361358
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-3.mga7
+ Revision: 1345477
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1299410
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1235870
- New version 0.13.0

* Tue Nov 07 2017 neoclust <neoclust> 0.12.0-2.mga7
+ Revision: 1176371
- lxqt-common does not exist anymore

* Thu Nov 02 2017 neoclust <neoclust> 0.12.0-1.mga7
+ Revision: 1175545
- New version 0.12.0

* Fri Mar 17 2017 neoclust <neoclust> 0.11.1-1.mga6
+ Revision: 1093318
- New version 0.11.1

* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1066006
- New version 0.11.0

* Mon Mar 28 2016 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 995930
+ rebuild (emptylog)

* Mon Feb 15 2016 umeabot <umeabot> 0.10.0-4.mga6
+ Revision: 961320
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900888
- Rebuild against fixed qtbase5
- Use qt5 cmake macro

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900212
- New version 0.10.0

* Sun Feb 22 2015 tmb <tmb> 0.9.0-2.mga5
+ Revision: 816529
- BR: qt5gui-private-devel
+ doktor5000 <doktor5000>
- new version 0.9.0
- added translations
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 803672
- rebuild for QT 5.4 breakage

* Sun Oct 26 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 793519
- do not remove LXQt Catgories from .desktop file
- add Require on upower binary (from task-lxqt-minimal)

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 793085
- add missing BuildRequires on BuildRequires: pkgconfig(Qt5Help)
- new version 0.8
- enabled QT5 build
- correct license
- dropped unneeded patch
- added BuildRequires on pkgconfig(Qt5Svg)

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-6.mga5
+ Revision: 750603
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-5.mga5
+ Revision: 682095
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-4.mga5
+ Revision: 675127
- really obsolete razorqt-autosuspend

* Sat Sep 13 2014 wally <wally> 0.7.0-3.mga5
+ Revision: 675111
- obsolete razorqt-autosuspend

* Sat Sep 13 2014 wally <wally> 0.7.0-2.mga5
+ Revision: 675028
- obsolete razorqt-power

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626444
- fix .desktop file, remove Category=LXQt for now
- use %%mkrel
- fix and add missing BuildRequires
- imported package lxqt-powermanagement


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: 09027bf
- Automatic import for version 0.7.0-1


